ranges_cmp.h File Reference

Go to the source code of this file.

## Classes

struct | std::ranges::equal_to
struct | std::ranges::greater
struct | std::ranges::greater_equal
struct | std::identity
struct | std::ranges::less
struct | std::ranges::less_equal
struct | std::ranges::not_equal_to

## Namespaces

| std

## Macros

#define | __cpp_lib_ranges

## Variables

template<typename _Tp , typename _Up >
concept | std::ranges::__detail::__less_builtin_ptr_cmp

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <functional>.

Definition in file ranges_cmp.h.